summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Golle2025-04-21 18:03:58 +0000
committerDaniel Golle2025-04-21 18:03:58 +0000
commit7ea0f647b9f55a6c945499d9968ba9ef43e7a5f6 (patch)
tree7a2018d67dda639b3d66075a431e989b5089b86b
parent29ec74b8c7b775debeda7f32fd1f2601dd9b082f (diff)
downloadopenwrt-7ea0f647b9f55a6c945499d9968ba9ef43e7a5f6.tar.gz
mediatek: mt7622: validate uImage.FIT
Validate the uImage.FIT instead of only checking the image magic. Signed-off-by: Daniel Golle <daniel@makrotopia.org>
-rwxr-xr-xtarget/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh b/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
index 9019eb6900..841397d4ef 100755
--- a/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
+++ b/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
@@ -69,11 +69,8 @@ platform_check_image() {
return $?
;;
*)
- [ "$magic" != "d00dfeed" ] && {
- echo "Invalid image type."
- return 1
- }
- return 0
+ fit_check_image "$1"
+ return $?
;;
esac